Bug 8853 - console_client.so: undefined symbol: R_Progs_Init
: console_client.so: undefined symbol: R_Progs_Init
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/quakeforge)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-16 20:09 by
Modified: 2006-03-13 12:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-16 20:09:48
nq-x11, nq-sdl - не собраны с библиотекой libQFrenderer, в которой описана  
данная функция. Вызов происходит при загрузке плагина. 
Steps to Reproduce:
1. nq-x11 +quit  
2.  
3.  
Actual Results:  
Could not load plugin "/usr/lib/quakeforge/console_client.so". Отсутствует 
отрисовка меню/консоли.
------- Comment #1 From 2006-01-17 09:41:51 -------
На самом деле эта вункция живёт в libQFrenderer_{gl,sw,sw32}.  Не-gl клиенты
(x11, sdl, fbdev, etc) статически слинкованы с libQFrenderer_sw и поэтому не
работают, все gl и sdl32 слинкованы динамически со своими библиотеками и
поэтому
работают...

Отрепортил разработчикам, посмотрю в ближайшее время что в SVN творится...
------- Comment #2 From 2006-03-03 01:06:09 -------
Fixed in 0.5.5-alt4